StartAgentMonitor

1. API Description

This API (StartAgentMonitor) is used to enable QEMU Guest Agent (QGA) data collection.

circle-info

Note

  • To enable performance data collection, ensure that QGA (QEMU Guest Agent) is installed.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

instanceId

Yes

String

ID of the instance.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Enable QEMU Guest Agent (QGA) data collection.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: StartAgentMonitor
<Common Request Params>

Request:
{
  "instanceId": "instanceId1"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_INSTANCE_NOT_FOUND

Instance not found.

400

OPERATION_DENIED_INSTANCE_AGENT_NOT_OPEN

QGA is not enabled.

Last updated